<!--
title: How to remove packages and eventually debloat the system? 
description: Getting rid of packages
published: true
date: 2023-02-18T19:04:35.015Z
tags: bloat, guide, removal
editor: ckeditor
dateCreated: 2020-09-17T17:18:06.171Z
-->

<p>So you just installed Garuda Linux and want to know how to get rid of packages you don't use or complain about bloat? Its quite easy - I'll show you how 😁<br>&nbsp;</p>
<h2>Pamac - the easy GUI way</h2>
<figure class="image"><img src="/screenshots/pamac.png"></figure>
<p>Using <strong>Pamac </strong>is most likely the easiest way of dealing with packages you want to get rid of unneeded packages if you aren't familiar with the terminal. Keep in mind Pamac is not installed in every edition out of the box - KDE for example uses Octopi which sadly does not provide a list of explicitly installed packages which means you could potentially uninstall an important package and break your system this way.&nbsp;</p>
<ul>
  <li>Open <strong>Pamac</strong> using the start menu</li>
  <li>Head over to the “<strong>Installed</strong>” tab and select “<strong>Explicitly Installed</strong>”</li>
  <li>Select any application you want to remove - since these are explicitly installed the risk of uninstalling a needed dependency is quite low</li>
  <li><strong>Don't forget to check the list of packages, which are going to be removed before confirming the transaction</strong>! ⚠️</li>
  <li>Apply the changes</li>
</ul>
<p>&nbsp;</p>
<h2>The terminal way</h2>
<p>The terminal way is a bit harder to complete but serves as excellent training to get more familiar with our beloved terminal. Another advantage is that we don't rely on a third-party application to manage our packages rather than using <strong>Pacman</strong> directly. Here is the procedure:</p>
<ul>
  <li>As you might have assumed already, <strong>open up a terminal emulator </strong>(eg. Konsole or Alacritty) using the start menu</li>
  <li><strong>Type </strong><code><strong>pacman -Qe</strong></code> to list all explicitly installed packages and search for packages you want to remove</li>
  <li>Eventually, <strong>check unknown packages</strong> by typing <code>pacman -Ss somepackage</code> to find out its purpose</li>
  <li>Add all of those packages to the following command: <code>sudo pacman -Rns package1 package2 package3</code> - this will remove all packages and their respective dependencies which aren't required anymore from the system</li>
</ul>
<figure class="image"><img src="/screenshots/debloat_pacman.png"></figure>
<ul>
  <li>Enjoy your slimmed Garuda installation! 😉</li>
</ul>
